
public abstract class PyFinalizableObject extends PyObject implements FinalizablePyObject {
	/**
	 * For detailed intructions how to use finalizers on PyObjects,
	 * read the documentation of FinalizablePyObject.
	 */
	
	protected FinalizeTrigger finalizeTrigger;
	
	public PyFinalizableObject() {
		super();
		finalizeTrigger = FinalizeTrigger.makeTrigger(this);
	}
}
